import { client, navigateTo } from "../../index.js";
import AbstractRedirectView from "./AbstractRedirectView.js";

export default class extends AbstractRedirectView{
    constructor(params, title, uri = "/home") {
		super(params, title, uri);
    }

    async redirect()
    {
		if (await client.isAuthenticated() === false)
		{
			navigateTo(this.redirect_url);
			return 1;
		}
		return 0;
    }
}
